Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetDomain

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.csw.AbstractCSWRequest
              org.deegree.ogcwebservices.csw.discovery.GetDomain

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetDomain

extends AbstractCSWRequest

The optional GetDomain operation is used to obtain runtime information about the range of values of a metadata record element or request parameter. The runtime range of values for a property or request parameter is typically much smaller than the value space for that property or parameter based on its static type definition. For example, a property or request parameter defined as a 16bit positive integer in a database may have a value space of 65535 distinct integers but the actual number of distinct values existing in the database may be much smaller.

This type of runtime information about the range of values of a property or request parameter is useful for generating user interfaces with meaningful pick lists or for generating query predicates that have a higher chance of actually identifying a result set.

It should be noted that the GetDomain operation is a "best-effort" operation. That is to say that a catalogue tries to generate useful information about the specified request parameter or property if it can. It is entirely possible that a catalogue may not be able to determine anything about the values of a property or request parameter in which case an empty response should be generated.

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`GetDomain(String id, String version, HashMap<String,String> vendorSpecificParameter)`

Method Summary
`static GetDomain` | `create(Map<String,String> map)`
`String[]` | `getPropertyNames()` Unordered list of names of requested properties, from the information model that the catalogue is using Zero or one; (Conditional)Include when ParameterName not included
`String[]` | `ParameterNames()` Unordered list of names of requested parameters, of the form OperationName.

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequest
`getNSMappings, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetDomain

    GetDomain(String id,
              String version,
              HashMap<String,String> vendorSpecificParameter)

Parameters:
  `version` -
  `id` -
  `vendorSpecificParameter` -

Method Detail

### create

    public static GetDomain create(Map<String,String> map)

  Parameters:
    `map` -
  Returns:
    the new instance

### getPropertyNames

    public String[] getPropertyNames()

  Unordered list of names of requested properties, from the information model that the catalogue is using

  Zero or one; (Conditional)Include when ParameterName not included

  Returns:
    null

### ParameterNames

    public String[] ParameterNames()

  Unordered list of names of requested parameters, of the form OperationName. ParameterName

  Zero or one; (Conditional)Include when PropertyName not included

  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org